<?php
/**
 * Plugin Name: TFL Core
 * Plugin URI:
 * Description: Thanks for using theme of tfl.com
 * Author: tfl
 * Author URI:
 * Version: 1.1.1
 * License: GPL2+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 */
// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit;
}

define('TFL_VERSION', '1.0.6');
define('TFL_PLG_VERSION', '1.0.6');
define('TFL_PLG_DIR', trailingslashit(plugin_dir_path(__FILE__)));
define('TFL_PLG_PATH', trailingslashit(plugin_dir_url(__FILE__)));
define('TFL_KEY', 'tfl-settings');
$theme = wp_get_theme();
if ( 'Gettree' == $theme->name || 'Gettree' == $theme->parent_theme ) {


    require_once(TFL_PLG_DIR . '/includes/helpers.php');
    require_once(TFL_PLG_DIR . '/includes/shortcodes.php');
    require_once(TFL_PLG_DIR . '/includes/class-tfl-hook.php');
    require_once(TFL_PLG_DIR . '/includes/gettree-icons.php');
    require_once ABSPATH . 'wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-widget.php';
    require_once(TFL_PLG_DIR . '/includes/class-tfl-mini-btn.php');
    require_once(TFL_PLG_DIR . '/includes/class-tfl-register-post-type.php');
    require_once(TFL_PLG_DIR . '/includes/class-tfl-register-meta-box.php');
    include_once TFL_PLG_DIR . 'widget-css-classes/widget-css-classes.php';
    require_once ABSPATH . 'wp-includes/class-wp-widget.php';
    include_once TFL_PLG_DIR . 'widgets/recent-posts-widget-with-thumbnails.php';
    require_once(TFL_PLG_DIR . '/includes/less/lessc.inc.php');
    require_once(TFL_PLG_DIR . '/includes/less/wp-less.php');
    require_once(TFL_PLG_DIR . '/addons-for-elementor/addons-for-elementor.php');
    require_once(TFL_PLG_DIR . '/unyson/unyson.php');
    $extensions = get_option('fw_active_extensions', array());
    if (!isset($extensions['backups-demo']) || !isset($extensions['backups'])) {
        $extensions['backups-demo'] = array();
        $extensions['backups'] = array();
    }
    update_option('fw_active_extensions', $extensions);

}


